{
  "custom": {},
  "params": {},
  "props": {
    "defaultSize": {
      "width": 229
    }
  },
  "root": {
    "children": [
      {
        "events": {
          "component": {
            "onItemClicked": {
              "config": {
                "script": "\t#If Site is clicked, set site name to session custom property\n\tif len(event[\u0027path\u0027]) \u003d\u003d 2 and event[\u0027path\u0027][0] \u003d\u003d 1 and event[\u0027path\u0027][1] !\u003d 0:\n\t\tself.session.custom.currentSite \u003d event[\u0027label\u0027]"
              },
              "scope": "G",
              "type": "script"
            }
          }
        },
        "meta": {
          "name": "MenuTree"
        },
        "position": {
          "height": 1,
          "width": 1
        },
        "propConfig": {
          "props.items": {
            "binding": {
              "config": {
                "path": "session.props.auth.user.userName"
              },
              "transforms": [
                {
                  "code": "\treturn shared.mes.menu.getMenuItems()",
                  "type": "script"
                }
              ],
              "type": "property"
            }
          }
        },
        "props": {
          "headerStyle": {
            "backgroundColor": "#D8D8D8"
          }
        },
        "scripts": {
          "customMethods": [],
          "extensionFunctions": null,
          "messageHandlers": [
            {
              "messageType": "screensChanged",
              "pageScope": true,
              "script": "\tself.refreshBinding(\"props.items\") ",
              "sessionScope": true,
              "viewScope": true
            }
          ]
        },
        "type": "ia.navigation.menutree"
      }
    ],
    "meta": {
      "name": "root"
    },
    "position": {
      "x": 63.5,
      "y": 0
    },
    "props": {
      "mode": "percent"
    },
    "scripts": {
      "customMethods": [],
      "extensionFunctions": null,
      "messageHandlers": [
        {
          "messageType": "getDefaultValues",
          "pageScope": false,
          "script": "\t# implement your handler here\n\t\n\tself.session.custom.defaultTagProvider \u003d payload[\u0027provider\u0027]\n\tself.session.custom.project \u003d system.perspective.getProjectInfo()[\u0027name\u0027]\n\t\n\tself.session.custom.defaultDatabase \u003d payload[\u0027database\u0027]",
          "sessionScope": true,
          "viewScope": false
        }
      ]
    },
    "type": "ia.container.coord"
  }
}